summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2016-03-19 17:15:18 -0700
committerZac Medico <zmedico@gentoo.org>2016-03-19 17:16:11 -0700
commit3f171e23da269c77dfa9cb3097737e33db853c8d (patch)
treeb05fd01784ac8e26db7d9c910a5f36fa06994bcf /eclass/toolchain.eclass
parentsys-apps/s6-linux-init: New package (diff)
downloadgentoo-3f171e23da269c77dfa9cb3097737e33db853c8d.tar.gz
gentoo-3f171e23da269c77dfa9cb3097737e33db853c8d.tar.bz2
gentoo-3f171e23da269c77dfa9cb3097737e33db853c8d.zip
toolchain.eclass: install gcc-5 go binary as go-5 #567806
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 7dade5cf192..03e550dd6f7 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1684,10 +1684,12 @@ toolchain_src_install() {
ln -sf ${CTARGET}-${x} ${CTARGET}-${x}-${GCC_CONFIG_VER}
fi
done
- # Clear out the main go binaries as we don't want to clobber dev-lang/go
+ # Rename the main go binaries as we don't want to clobber dev-lang/go
# when gcc-config runs. #567806
if tc_version_is_at_least 5 && is_go ; then
- rm -f go gofmt
+ for x in go gofmt; do
+ mv ${x} ${x}-${GCCMAJOR} || die
+ done
fi
# Now do the fun stripping stuff